Name:           ocaml-text
Version:        0.6
Release:        %mkrel 5
Summary:        OCaml Text helpers
Group:          Development/OCaml
License:        BSD
URL:            http://forge.ocamlcore.org/projects/ocaml-text/
Source0:        http://forge.ocamlcore.org/frs/download.php/937/%{name}-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  camlp4
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-pcre
BuildRequires:  libncurses-devel
Requires:       ocaml-compiler
Requires:       ocaml-pcre
Requires:       camlp4


%description
This is a library for dealing with ``text'', i.e. sequence of
Unicode characters, in a convenient way.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-pcre-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
The %{name}-doc package contains documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
ocaml setup.ml -configure \
        --prefix %{_prefix} \
        --destdir '%{buildroot}' \
        --enable-pcre \
        --docdir %{_docdir}/%{name}-doc/

# Fix hardcoded library path
sed -i 's|"/lib"|"/%{_lib}"|g' myocamlbuild.ml
make
make doc

%install
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%files
%dir %{_libdir}/ocaml/text
%{_libdir}/ocaml/text/META
%{_libdir}/ocaml/text/*.cma
%{_libdir}/ocaml/text/*.cmi
%{_libdir}/ocaml/text/*.a
%{_libdir}/ocaml/text/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files doc
%doc LICENSE CHANGES CHANGES.darcs README
%{_docdir}/%{name}-doc/

%files devel
%{_libdir}/ocaml/text/*.cmx
%{_libdir}/ocaml/text/*.cmxa
%{_libdir}/ocaml/text/*.mli


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6-5.mga4
+ Revision: 533926
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 0.6-4.mga4
+ Revision: 475786
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.6-3.mga3
+ Revision: 361658
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 blue_prawn <blue_prawn> 0.6-2.mga3
+ Revision: 302060
- rebuild for new ocaml 4.00
- new rpm group for ocaml and documentation
- noarch tag for documentation

* Mon Jul 30 2012 malo <malo> 0.6-1.mga3
+ Revision: 275850
- update to version 0.6
- fix requires and buildrequires
- update file list

* Tue Jan 31 2012 malo <malo> 0.5-3.mga2
+ Revision: 203729
- fix hardcoded lib path for x86_64

* Wed Dec 21 2011 malo <malo> 0.5-2.mga2
+ Revision: 185562
- fixing doc directory
- spec clean-up
- adding requires
- update License
- imported package ocaml-text


* Fri Sep 16 2011 Alexandre Lissy <alissy@mandriva.com> 0.5-1
+ Revision: 699997
- Adding missing BuildRequires against libncurses-devel
- Update description field
- Importing ocaml-text package
- Created package structure for 'ocaml-text'.

